package com.kingdee.eas.custom.dormitorysystem.application;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class CheckoutApplicationCollection extends AbstractObjectCollection 
{
    public CheckoutApplicationCollection()
    {
        super(CheckoutApplicationInfo.class);
    }
    public boolean add(CheckoutApplicationInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(CheckoutApplicationCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(CheckoutApplicationInfo item)
    {
        return removeObject(item);
    }
    public CheckoutApplicationInfo get(int index)
    {
        return(CheckoutApplicationInfo)getObject(index);
    }
    public CheckoutApplicationInfo get(Object key)
    {
        return(CheckoutApplicationInfo)getObject(key);
    }
    public void set(int index, CheckoutApplicationInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(CheckoutApplicationInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(CheckoutApplicationInfo item)
    {
        return super.indexOf(item);
    }
}